%define oname   edavis10-object_daddy

Name:       ruby-%{oname}
Version:    0.4.3
Release:    %mkrel 1
Summary:    Object Daddy
Group:      Development/Ruby
License:    MIT
URL:        http://github.com/flogic/object_daddy
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Object Daddy is a library (as well as a Ruby on Rails plugin) designed to
assist in automating testing of large collections of objects, especially
webs of ActiveRecord models. It is a descendent of the "Object Mother"
pattern for creating objects for testing, and is related to the concept of
an "object exemplar" or stereotype.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.markdown

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Sun Jan 30 2011 shikamaru <shikamaru> 0.4.3-1.mga1
+ Revision: 44610
- imported package ruby-edavis10-object_daddy


* Sat Jan 29 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.4.3-1
- Initial package
